## org.biojavax.bio.phylo.io.nexus
Interface DataBlockListener

All Superinterfaces:
  CharactersBlockListener, NexusBlockListener

All Known Implementing Classes:
  DataBlockBuilder

    public interface DataBlockListener

extends CharactersBlockListener

Listens to events that represent Nexus data blocks.

Since:
  1.6
Author:
  Richard Holland, Tobias Thierer, Jim Balhoff

Method Summary

Methods inherited from interface org.biojavax.bio.phylo.io.nexus.CharactersBlockListener
`addCharLabel, addCharState, addCharStateKeyword, addEquate, addItem, addMatrixEntry, addState, addStateLabel, addSymbol, addTaxLabel, appendMatrixData, setCharStateLabel, setDataType, setDimensionsNChar, setDimensionsNTax, setEliminateEnd, setEliminateStart, setGap, setInterleaved, setLabels, setMatchChar, setMissing, setRespectCase, setStatesFormat, setTokens, setTransposed`

Methods inherited from interface org.biojavax.bio.phylo.io.nexus.NexusBlockListener
`beginComment, commentText, endBlock, endComment, endTokenGroup, startBlock`